package com.mcwl.memberCenter.enums;


import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 会员参与活动状态
 */
@Getter
@AllArgsConstructor
public enum PromotionEnum {
    /**
     * 参与
     */
    PARTICIPATE("participate", "参与"),
    /**
     * 过期
     */
    EXPIRED("expired", "过期"),
//    /**
//     * 订阅/续订会员
//     */
//    SUBSCRIBE("subscribe", "订阅/续订会员"),

    /**
     * 限时折扣
     */
    DISCOUNT("discount", "限时折扣"),
    /**
     * 积分奖励
     */
    POINTS("points", "积分奖励");

    private final String name;
    @EnumValue
    private final String value;

}
